/* Tera Term
 Copyright(C) 1994-1996 T. Teranishi
 All rights reserved. */

/* TERATERM.EXE, TTCMN interface */

/* proto types */
#ifdef __cplusplus
extern "C" {
#endif

void FAR PASCAL StartTeraTerm(PTTSet ts);
void FAR PASCAL EndTeraTerm();
void FAR PASCAL ChangeDefaultSet(PTTSet ts);
void FAR PASCAL LoadDefaultSet(PCHAR SetupFName);
WORD FAR PASCAL GetKeyCode(PKeyMap KeyMap, WORD Scan);
void FAR PASCAL GetKeyStr(HWND HWin, PKeyMap KeyMap, WORD KeyCode,
                        BOOL AppliKeyMode, BOOL AppliCursorMode,
                        PCHAR KeyStr, LPINT Len, LPBOOL Conv);

void FAR PASCAL SetCOMFlag(BYTE Com);
BYTE FAR PASCAL GetCOMFlag();

int FAR PASCAL CommReadRawByte(PComVar cv, PBYTE b);
int FAR PASCAL CommRead1Byte(PComVar cv, PBYTE b);
void FAR PASCAL CommInsert1Byte(PComVar cv, BYTE b);
int FAR PASCAL CommRawOut(PComVar cv, PCHAR B, int C);
int FAR PASCAL CommBinaryOut(PComVar cv, PCHAR B, int C);
int FAR PASCAL CommTextOut(PComVar cv, PCHAR B, int C);
int FAR PASCAL CommBinaryEcho(PComVar cv, PCHAR B, int C);
int FAR PASCAL CommTextEcho(PComVar cv, PCHAR B, int C);

#ifdef __cplusplus
}
#endif

