/* Tera Term
 Copyright(C) 1994-1996 T. Teranishi
 All rights reserved. */

/* TERATERM.EXE, scroll buffer routines */


#define BuffXMax 300
#define BuffYMax 10000
#define BuffSizeMax 800000

#ifdef __cplusplus
extern "C" {
#endif

void InitBuffer();
BOOL ChangeBuffer(int Nx, int Ny);
void LockBuffer();
void UnlockBuffer();
void FreeBuffer();
void ResetBuff();
LONG GetLinePtr(int Line);
LONG NextLinePtr(LONG Ptr);
LONG PrevLinePtr(LONG Ptr);
void NewLine(int Line);
void NextLine();
void PrevLine();
void BuffScroll(int Count);


extern PCHAR CodeBuff;  /* Character code buffer */
extern PCHAR AttrBuff;  /* Attribute buffer */
extern PCHAR AttrBuff2; /* Color attr buffer */
extern PCHAR CodeLine;
extern PCHAR AttrLine;
extern PCHAR AttrLine2;

extern LONG BufferSize;
extern int PageStart;
extern int BuffStartAbs, BuffEnd, BuffEndAbs;

extern int NumOfLines, NumOfColumns;
extern int NumOfLinesInBuff;
extern BOOL Select;
extern POINT SelectStart, SelectEnd, SelectEndOld;

extern BOOL BuffLock;

#ifdef __cplusplus
}
#endif
