/* Tera Term
 Copyright(C) 1994-1996 T. Teranishi
 All rights reserved. */

/* TERATERM.EXE, variables, flags related to VT win and TEK win */
#ifdef __cplusplus
extern "C" {
#endif

/* prototypes */
void VTActivate();
void ChangeTitle();
void SwitchMenu();
void OpenHelp(HWND HWin, UINT Command, DWORD Data);

extern HWND HVTWin;
extern HWND HTEKWin;
extern HDC VTDC; /* Device context for VT window */
extern int ActiveWin; /* IdVT, IdTEK */
extern int TalkStatus; /* IdTalkKeyb, IdTalkCB, IdTalkTextFile */
extern BOOL DebugFlag;
extern BOOL Connecting;

/* 'help' button on dialog box */
extern WORD MsgDlgHelp;
extern LONG HelpId;

extern TTTSet ts;
extern TComVar cv;

/* pointers of window objects */
extern void* pVTWin;
extern void* pTEKWin;

#ifdef __cplusplus
}
#endif
